Package net.shibboleth.shared.security

# Enum Class IdentifierGenerationStrategy.ProviderType

java.lang.Object
java.lang.Enum<IdentifierGenerationStrategy.ProviderType>
net.shibboleth.shared.security.IdentifierGenerationStrategy.ProviderType

All Implemented Interfaces:
  `Serializable`, `Comparable<IdentifierGenerationStrategy.ProviderType>`, `Constable`

Enclosing interface:
  IdentifierGenerationStrategy

public static enum IdentifierGenerationStrategy.ProviderType extends Enum<IdentifierGenerationStrategy.ProviderType>
Enum of supported provider types.

Since:
  9.0.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RANDOM`
Produces random identifiers that may not be strongly secure.
`SECURE`
Produces random identifiers that rely on a theoretically secure source of randomness.
`UUID`
Produces random identifiers based on type 4 UUIDs.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ProviderType()`

## Method Summary

Modifier and Type
Method
Description
`static IdentifierGenerationStrategy.ProviderType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IdentifierGenerationStrategy.ProviderType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RANDOM

public static final IdentifierGenerationStrategy.ProviderType RANDOM
Produces random identifiers that may not be strongly secure.

### SECURE

public static final IdentifierGenerationStrategy.ProviderType SECURE
Produces random identifiers that rely on a theoretically secure source of randomness.

### UUID

public static final IdentifierGenerationStrategy.ProviderType UUID
Produces random identifiers based on type 4 UUIDs.

## Constructor Details

### ProviderType

private ProviderType()

## Method Details

### values

public static IdentifierGenerationStrategy.ProviderType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IdentifierGenerationStrategy.ProviderType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null